aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/omap24xx
diff options
context:
space:
mode:
authorMichael Büsch <mb@bu3sch.de>2011-02-06 12:45:21 +0000
committerMichael Büsch <mb@bu3sch.de>2011-02-06 12:45:21 +0000
commitc9d7844645883807bc606e9ef0a87fe769d7d68c (patch)
tree0894e686698998340eab745eefd97aa8a70a6fca /target/linux/omap24xx
parent09655bf0e46e0b889e8c7b007a5b426c9bc2d0e2 (diff)
downloadupstream-c9d7844645883807bc606e9ef0a87fe769d7d68c.tar.gz
upstream-c9d7844645883807bc606e9ef0a87fe769d7d68c.tar.bz2
upstream-c9d7844645883807bc606e9ef0a87fe769d7d68c.zip
n810: Add the CAL BME PMM extractor script to preinit.
SVN-Revision: 25381
Diffstat (limited to 'target/linux/omap24xx')
-rw-r--r--target/linux/omap24xx/base-files/lib/preinit/99_bme_pmm_image14
1 files changed, 14 insertions, 0 deletions
diff --git a/target/linux/omap24xx/base-files/lib/preinit/99_bme_pmm_image b/target/linux/omap24xx/base-files/lib/preinit/99_bme_pmm_image
new file mode 100644
index 0000000000..8e29fd520e
--- /dev/null
+++ b/target/linux/omap24xx/base-files/lib/preinit/99_bme_pmm_image
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+do_extract_cal_bme_pmm() {
+ [ -e /lib/firmware/n810-cal-bme-pmm.fw ] && return 0
+
+ [ -x /usr/bin/calvaria ] || { echo "CAL-BME extract: calvaria not found"; return 1; }
+
+ /usr/bin/calvaria -p -n bme -i last /dev/mtdblock1 >/lib/firmware/n810-cal-bme-pmm.fw || {
+ echo "CAL-BME extract: Failed to extract blob"
+ return 1
+ }
+}
+
+boot_hook_add preinit_mount_root do_extract_cal_bme_pmm
3'>193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229